For the complete documentation index, see llms.txt. This page is also available as Markdown.

Effect Level Management

Effect Level is a part of Effect and every request should include Effect ID as a path argument.

Create Level Variant

post
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
effect_idstringRequired
Body
titlestring · min: 1Required
descriptionstring · nullableOptional
promptanyOptionalDefault: {}
statusstring · enumOptional
  • published - Published
  • draft - Draft
Possible values:
simulation_periodstring · nullableOptional
priorityinteger · min: 1 · nullableOptional
Responses
201Success
application/json
idstringRead-onlyRequired
effect_idstringRead-onlyRequired
updated_atstring · date-timeRead-onlyRequired
created_atstring · date-timeRead-onlyRequired
titlestringRequired
descriptionstring · nullableOptional
promptanyOptionalDefault: {}
statusstring · enumOptional
  • published - Published
  • draft - Draft
Possible values:
simulation_periodstring · nullableOptional
priorityinteger · min: 1 · nullableOptional
sourceany · nullableRead-onlyRequired

Where prompt came from. {"kind": "stage"|"manual", "start": int, "end": int, "start_name": str, "end_name": str, "aggregation": str, "participant_count": int}. Server-written; read-only over the API.

post/api/v1/companies/{company_id}/effects/{effect_id}/variants/
POST /api/v1/companies/{company_id}/effects/{effect_id}/variants/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 153

{
  "title": "My first variant",
  "description": "My first variant that simulates age 30",
  "status": "draft",
  "prompt": {
    "age": 30
  },
  "simulation_period": "1 00:00:00"
}
{
  "id": "effvar_ZrIXw8kIHiJq3Umx",
  "effect_id": "eff_123",
  "updated_at": "2026-10-10T06:23:01.196639Z",
  "created_at": "2026-10-10T06:23:01.196646Z",
  "title": "My first variant",
  "description": "My first variant that simulates age 30",
  "prompt": {
    "age": 30
  },
  "status": "draft",
  "simulation_period": "1 00:00:00",
  "source": {
    "kind": "stage",
    "start": 0,
    "end": 2,
    "start_name": "Baseline",
    "end_name": "Week 12",
    "aggregation": "mean",
    "participant_count": 8
  }
}

Update Level Variant

patch
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
effect_idstringRequired
variant_idstringRequired
Body
titlestring · min: 1Optional
descriptionstring · nullableOptional
promptanyOptionalDefault: {}
statusstring · enumOptional
  • published - Published
  • draft - Draft
Possible values:
simulation_periodstring · nullableOptional
priorityinteger · min: 1 · nullableOptional
Responses
200Success
application/json
idstringRead-onlyRequired
effect_idstringRead-onlyRequired
updated_atstring · date-timeRead-onlyRequired
created_atstring · date-timeRead-onlyRequired
titlestringRequired
descriptionstring · nullableOptional
promptanyOptionalDefault: {}
statusstring · enumOptional
  • published - Published
  • draft - Draft
Possible values:
simulation_periodstring · nullableOptional
priorityinteger · min: 1 · nullableOptional
sourceany · nullableRead-onlyRequired

Where prompt came from. {"kind": "stage"|"manual", "start": int, "end": int, "start_name": str, "end_name": str, "aggregation": str, "participant_count": int}. Server-written; read-only over the API.

patch/api/v1/companies/{company_id}/effects/{effect_id}/variants/{variant_id}/
PATCH /api/v1/companies/{company_id}/effects/{effect_id}/variants/{variant_id}/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 153

{
  "title": "My first variant",
  "description": "My first variant that simulates age 30",
  "status": "draft",
  "prompt": {
    "age": 30
  },
  "simulation_period": "1 00:00:00"
}
{
  "id": "effvar_ZrIXw8kIHiJq3Umx",
  "effect_id": "eff_123",
  "updated_at": "2026-10-10T06:23:01.196639Z",
  "created_at": "2026-10-10T06:23:01.196646Z",
  "title": "My first variant",
  "description": "My first variant that simulates age 30",
  "prompt": {
    "age": 30
  },
  "status": "draft",
  "simulation_period": "1 00:00:00",
  "source": {
    "kind": "stage",
    "start": 0,
    "end": 2,
    "start_name": "Baseline",
    "end_name": "Week 12",
    "aggregation": "mean",
    "participant_count": 8
  }
}

List Level Variants

get
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
effect_idstringRequired
Query parameters
qstringOptional

A search term.

pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=2
get/api/v1/companies/{company_id}/effects/{effect_id}/variants/
GET /api/v1/companies/{company_id}/effects/{effect_id}/variants/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "id": "effvar_ZrIXw8kIHiJq3Umx",
      "effect_id": "eff_123",
      "updated_at": "2026-10-10T06:23:01.196639Z",
      "created_at": "2026-10-10T06:23:01.196646Z",
      "title": "My first variant",
      "description": "My first variant that simulates age 30",
      "prompt": {
        "age": 30
      },
      "status": "draft",
      "simulation_period": "1 00:00:00",
      "source": {
        "kind": "stage",
        "start": 0,
        "end": 2,
        "start_name": "Baseline",
        "end_name": "Week 12",
        "aggregation": "mean",
        "participant_count": 8
      }
    }
  ]
}

Get Effect Level Info

get
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
effect_idstringRequired
variant_idstringRequired
Responses
200Success
application/json
idstringRead-onlyRequired
effect_idstringRead-onlyRequired
updated_atstring · date-timeRead-onlyRequired
created_atstring · date-timeRead-onlyRequired
titlestringRequired
descriptionstring · nullableOptional
promptanyOptionalDefault: {}
statusstring · enumOptional
  • published - Published
  • draft - Draft
Possible values:
simulation_periodstring · nullableOptional
priorityinteger · min: 1 · nullableOptional
sourceany · nullableRead-onlyRequired

Where prompt came from. {"kind": "stage"|"manual", "start": int, "end": int, "start_name": str, "end_name": str, "aggregation": str, "participant_count": int}. Server-written; read-only over the API.

get/api/v1/companies/{company_id}/effects/{effect_id}/variants/{variant_id}/
GET /api/v1/companies/{company_id}/effects/{effect_id}/variants/{variant_id}/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "id": "effvar_ZrIXw8kIHiJq3Umx",
  "effect_id": "eff_123",
  "updated_at": "2026-10-10T06:23:01.196639Z",
  "created_at": "2026-10-10T06:23:01.196646Z",
  "title": "My first variant",
  "description": "My first variant that simulates age 30",
  "prompt": {
    "age": 30
  },
  "status": "draft",
  "simulation_period": "1 00:00:00",
  "source": {
    "kind": "stage",
    "start": 0,
    "end": 2,
    "start_name": "Baseline",
    "end_name": "Week 12",
    "aggregation": "mean",
    "participant_count": 8
  }
}

Delete Effect Level(s) in a Bulk Manner

post
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
effect_idstringRequired
Body
variants_idsstring[]Required
Responses
200Success
application/json
statusstringRequired
post/api/v1/companies/{company_id}/effects/{effect_id}/variants/bulk-delete/
POST /api/v1/companies/{company_id}/effects/{effect_id}/variants/bulk-delete/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 25

{
  "variants_ids": [
    "text"
  ]
}
{
  "status": "text"
}

Duplicate Effect Level

post
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
effect_idstringRequired
variant_idstringRequired
Body
titlestring · min: 1 · nullableOptional
priorityinteger · nullableOptional
Responses
200Success
application/json
statusstringRequired
post/api/v1/companies/{company_id}/effects/{effect_id}/variants/{variant_id}/duplicate/
POST /api/v1/companies/{company_id}/effects/{effect_id}/variants/{variant_id}/duplicate/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "title": null,
  "priority": null
}
{
  "status": "text"
}

Book a demo external-linkSkinGPT on haut.ai

Last updated